<template>
    <div>
      <div class="section content-title-group">
        <h2 class="title">Edit Pawn</h2>
        <div class="card">
          <header class="card-header">
            <p class="card-header-title">{{ fullName }}</p>
          </header>
          <div class="card-content">
            <div class="content">
              <div class="field">
                <label class="label" for="id">Pawn Id: </label>
                <label class="input" name="id" readonly>{{ pawn.id }}</label>
              </div>
              <div class="field">
                <label class="label" for="firstName">first name</label>
                <input class="input" name="firstName" v-model="pawn.firstName" />
              </div>
              <div class="field">
                <label class="label" for="lastName">last name</label>
                <input class="input" name="lastName" v-model="pawn.lastName" />
              </div>
              <div class="field">
                <label class="label" for="pawnItem">pawn item</label>
                <input class="input" name="pawnItem" v-model="pawn.pawnItem" />
              </div>
              <div class="field">
                <label class="label" for="pawnAmount">pawn amount</label>
                <input class="input" name="pawnAmount" v-model="pawn.pawnAmount" />
              </div>
              <div class="field">
                <label class="label" for="binLocation">bin location</label>
                <input class="input" name="binLocation" v-model="pawn.binLocation" />
              </div>

            </div>
          </div>
          <footer class="card-footer">
            <button
              class="link card-footer-item cancel-button"
              @click="cancelPawn()"
            >
              <i class="fas fa-undo"></i>
              <span>Cancel</span>
            </button>
            <button class="link card-footer-item" @click="savePawn()">
              <i class="fas fa-save"></i>
              <span>Save</span>
            </button>
          </footer>
        </div>
      </div>
    </div>
  </template>
  
  <script>
  import { dataService } from '../shared';
  
  export default {
    name: 'PawnDetail',
    props: {
      id: {
        type: Number,
        default: 0,
      },
    },
    data() {
      return {
        pawn: {},
      };
    },
    async created() {
      this.pawn = await dataService.getPawn(this.id);
    },
    computed: {
      fullName() {
        return this.pawn ? `${this.pawn.firstName} ${this.pawn.lastName}` : '';
      },
    },
    methods: {
      cancelPawn() {
        this.$router.push({ name: 'Pawns' });
      },
      async savePawn() {
        await dataService.updatePawn(this.pawn);
        this.$router.push({ name: 'Pawns' });
      },
    },
  };
  </script>
  Pawn